﻿local vec3 = require "vec3"
local transf = require "transf"
local ltype = "NEXT_STOP"
if (commonapi ~= nil and commonapi.supports and commonapi.supports("LINE_DESTINATION")) then ltype = "LINE_DESTINATION" end

function labels_zzau(style)
	if (style == 1) then
		return {
			labels = {
				-- Vorne
				{			
					type = "NEXT_STOP",
					transf = transf.scaleRotZYXTransl(vec3.new( 0.01, 0.01, 0.01), transf.degToRad ( 90, 0, 90), vec3.new(12.22, -0.656, 2.03)),
					size = { 130, 18 },
					color = {196 / 255, 222 / 255, 60 / 255, 1.0},
					verticalAlignment = "CENTER",
					alignment = "CENTER",
					fitting = "SCALE",
					renderMode = "EMISSIVE",
				},	
				{
					type = "NEXT_STOP",
					transf = transf.scaleRotZYXTransl(vec3.new( 0.01, 0.01, 0.01), transf.degToRad ( 270, 0, 90), vec3.new(-12.22, 0.656, 2.03)),
					size = { 130, 18 },
					color = {196 / 255, 222 / 255, 60 / 255, 1.0},
					verticalAlignment = "CENTER",
					alignment = "CENTER",
					fitting = "SCALE",
					renderMode = "EMISSIVE",
				},	
				{
					type = "LINE_NAME",
					transf = transf.scaleRotZYXTransl(vec3.new( 0.01, 0.01, 0.01), transf.degToRad ( 0, 0, 90), vec3.new(8.13, -1.538, 2.51)),
					size = { 90 , 14  },
					color = {196 / 255, 222 / 255, 60 / 255, 1.0},
					verticalAlignment = "CENTER",
					alignment = "CENTER",
					fitting = "SCALE",
					renderMode = "EMISSIVE",
				},	
				{
					type = "NEXT_STOP",
					transf = transf.scaleRotZYXTransl(vec3.new( 0.01, 0.01, 0.01), transf.degToRad ( 0, 0, 90), vec3.new(-9.05, -1.538, 2.51)),
					size = { 90 , 14  },
					color = {196 / 255, 222 / 255, 60 / 255, 1.0},	
					verticalAlignment = "CENTER",
					alignment = "CENTER",
					fitting = "SCALE",
					renderMode = "EMISSIVE",
				},	
				{
					type = "LINE_NAME",
					transf = transf.scaleRotZYXTransl(vec3.new( 0.01, 0.01, 0.01), transf.degToRad ( 180, 0, 90), vec3.new(9.05, 1.538, 2.51)),
					size = { 90 , 14  },
					color = {196 / 255, 222 / 255, 60 / 255, 1.0},	
					verticalAlignment = "CENTER",
					alignment = "CENTER",
					fitting = "SCALE",
					renderMode = "EMISSIVE",
				},			
				{
					type = "NEXT_STOP",
					transf = transf.scaleRotZYXTransl(vec3.new( 0.01, 0.01, 0.01), transf.degToRad ( 180, 0, 90), vec3.new(-8.13, 1.538, 2.51)),
					size = { 90 , 14  },
					color = {196 / 255, 222 / 255, 60 / 255, 1.0},		
					verticalAlignment = "CENTER",
					alignment = "CENTER",
					fitting = "SCALE",
					renderMode = "EMISSIVE",
				},		

			},
		}
	else
		return {
		}
	end
end

function labels_zzao(style)
	if (style == 1) then
		return {
			labels = {
				{
					type = "NEXT_STOP",
					transf = transf.scaleRotZYXTransl(vec3.new( 0.01, 0.01, 0.01), transf.degToRad ( 90, 0, 90), vec3.new(11.6, -1.1, 3.405)),
					size = { 220, 19 },
					color = {196 / 255, 222 / 255, 60 / 255, 1.0},
					verticalAlignment = "CENTER",
					alignment = "CENTER",
					fitting = "SCALE",
					renderMode = "EMISSIVE",
				},	
				{
					type = "NEXT_STOP",
					transf = transf.scaleRotZYXTransl(vec3.new( 0.01, 0.01, 0.01), transf.degToRad ( 270, 0, 90), vec3.new(-11.6, 1.1, 3.405)),
					size = { 220, 19 },
					color = {196 / 255, 222 / 255, 60 / 255, 1.0},
					verticalAlignment = "CENTER",
					alignment = "CENTER",
					fitting = "SCALE",
					renderMode = "EMISSIVE",
				},	
				{
					type = "LINE_NAME",
					transf = transf.scaleRotZYXTransl(vec3.new( 0.01, 0.01, 0.01), transf.degToRad ( 0, 0, 90), vec3.new(8.13, -1.538, 2.5)),
					size = { 90 , 14  },
					color = {196 / 255, 222 / 255, 60 / 255, 1.0},
					verticalAlignment = "CENTER",
					alignment = "CENTER",
					fitting = "SCALE",
					renderMode = "EMISSIVE",
				},	
				{
					type = "NEXT_STOP",
					transf = transf.scaleRotZYXTransl(vec3.new( 0.01, 0.01, 0.01), transf.degToRad ( 0, 0, 90), vec3.new(-9.05, -1.538, 2.5)),
					size = { 90 , 14  },
					color = {196 / 255, 222 / 255, 60 / 255, 1.0},	
					verticalAlignment = "CENTER",
					alignment = "CENTER",
					fitting = "SCALE",
					renderMode = "EMISSIVE",
				},	
				{
					type = "LINE_NAME",
					transf = transf.scaleRotZYXTransl(vec3.new( 0.01, 0.01, 0.01), transf.degToRad ( 180, 0, 90), vec3.new(9.05, 1.538, 2.5)),
					size = { 90 , 14  },
					color = {196 / 255, 222 / 255, 60 / 255, 1.0},	
					verticalAlignment = "CENTER",
					alignment = "CENTER",
					fitting = "SCALE",
					renderMode = "EMISSIVE",
				},			
				{
					type = "NEXT_STOP",
					transf = transf.scaleRotZYXTransl(vec3.new( 0.01, 0.01, 0.01), transf.degToRad ( 180, 0, 90), vec3.new(-8.13, 1.538, 2.5)),
					size = { 90 , 14  },
					color = {196 / 255, 222 / 255, 60 / 255, 1.0},		
					verticalAlignment = "CENTER",
					alignment = "CENTER",
					fitting = "SCALE",
					renderMode = "EMISSIVE",
				},	

			},
		}
	else
		return {
		}
	end
end